#
# spec file for package perl-Apache-SSI (Version 2.16)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel mm mod_perl perl perl-HTML-SimpleParse perl-URI
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp mm mod_perl modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-HTML-SimpleParse perl-URI ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Apache-SSI
%define apache_includedir   	%(apxs -q INCLUDEDIR)
%define version_perl       	%(rpm -q --queryformat '%{version}' perl)
%define version_apache		%(rpm -q --queryformat '%{version}' apache)
%define perl_installsitelib  	%(eval "`perl -V:installsitelib`"; echo $installsitelib)
Copyright:    BSD style
Group:        Development/Libraries/Perl
Provides:     Apache-SSI
Requires:     perl = %{version_perl} 
Requires:     apache = %{version_apache}
Requires:     mod_perl perl-URI perl-HTML-SimpleParse
Conflicts:    perlmod
Autoreqprov:  on
Version:      2.16
Release:      132
Source:       Apache-SSI-%{version}.tar.gz 
Summary:      Implement Server Side Includes in Perl
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}

%description
Apache::SSI implements the functionality of mod_include for handling
server-parsed html documents. It runs under Apache's mod_perl.
In my mind, there are two main reasons you might want to use this
module: you can sub-class it to implement your own custom SSI
directives, and/or you can parse the output of other mod_perl
handlers, or send the SSI output through another handler (use
Apache::Filter to do this).

Authors:
--------
    Ken Williams <ken@forum.swarthmore.edu>

SuSE series: perl

%prep 
%setup -n Apache-SSI-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
perl Makefile.PL
make all
	

%install
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
        INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
        install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | \
	sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/Apache/SSI/
       cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-, root, root)
%doc Changes README MANIFEST
%doc %{_mandir}/man3/Apache::SSI.3pm.gz
%{perl_sitearch}/auto/Apache/SSI/
%{perl_installsitelib}/Apache/SSI.pm
/var/adm/perl-modules/%{name}

%changelog -n perl-Apache-SSI
* Wed Mar 28 2001 - rolf@suse.de
- update to 2.16
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Mon Nov 20 2000 - rolf@suse.de
- extracted from perlmod package
- update to 2.15
